List tools

Base URL
https://{kibana_url}
  • GET /api/agent_builder/tools
  • GET /s/{space_id}/api/agent_builder/tools
Auth

List all available tools. Use this endpoint to retrieve complete tool definitions including their schemas and configuration requirements. To learn more about Agent Builder tools, refer to the tools documentation.

Required authorization

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}